# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gmake /usr/bin/make libgif-devel libsocket
# END SourceDeps(oneline)
Name:		ekg
Version:	1.8
Release:	alt1_0.17.rc1
Summary:	A client compatible with Gadu-Gadu
Summary(de):	Ein Cliente kompatibel mit Gadu-Gadu
Summary(es):	Un cliente compatible con Gadu-Gadu
Summary(it):	Un cliente compatibile con Gadu-Gadu
Summary(pl):	Klient kompatybilny z Gadu-Gadu
License:	GPLv2
Group:		Networking/WWW
Source0:	http://ekg.chmurka.net/%{name}-%{version}rc1.tar.gz
Source1:	%{name}.conf
Source2:	ekg-unicode
Patch0:		%{name}-rpm.patch
URL:		http://ekg.chmurka.net/
BuildRequires:	libaspell-devel
BuildRequires:	automake
BuildRequires:  libungif-devel
BuildRequires:	libgsm-devel
#TODO: separate binary?
#BuildRequires:	gtk2-devel
BuildRequires:	libgadu-devel
BuildRequires:	libjpeg-devel
BuildRequires:	ncurses-devel
BuildRequires:	libssl-devel
BuildRequires:	perl
BuildRequires:	python-devel
BuildRequires:	zlib-devel
Requires:	%{_bindir}/luit
Source44: import.info

%description
EKG ("Eksperymentalny Klient Gadu-Gadu") is an open source gadu-gadu
client for UNIX systems. Gadu-Gadu is an instant messaging program,
very popular in Poland.

EKG features include:
  - irssi-like ncurses interface
  - sending and receiving files
  - voice conversations
  - launching shell commands on certain events
  - reading input from pipe
  - python scripting support
  - speech synthesis (using an external program)
  - encryption support

Please note that the program is not internationalized and all messages
are in Polish (although the commands are in English). 

%description -l de
Ein Cliente kompatibel mit Gadu-Gadu.

%description -l es
Un cliente compatible con Gadu-Gadu.

%description -l it
Un cliente compatibile con Gadu-Gadu.

%description -l pl
EKG ("Eksperymentalny Klient Gadu-Gadu") jest open source'owym
klientem gadu-gadu dla systemów uniksowych. Gadu-Gadu to popularny w
polsce komunikator internetowy.

Możliwości EKG:
  - interfejs użytkownika podobny do irssi,
  - wysyłanie i odbieranie plików,
  - rozmowy głosowe,
  - uruchamianie poleceń powłoki w określonych sytuacjach,
  - wczytywanie wejścia z potoku,
  - wsparcie dla skryptów w języku Python,
  - synteza mowy (z użyciem zewnętrznego programu),
  - wsparcie dla szyfrowania.

Program nie jest umiędzynarodowiony i wszystkie komunikaty są po
polsku (jednak komendy są w języku angielskim).

%prep
%setup -q -n %{name}-%{version}rc1
%patch0 -p1 -b .r
# fix line endings and encoding
tr -d '\r' < contrib/ekl2.pl > contrib/ekl2.pl.unix ; mv contrib/ekl2.pl.unix contrib/ekl2.pl
for file in \
	contrib/ekl2* \
	docs/api/functions.txt \
	docs/*.txt \
	docs/FAQ docs/IDEAS-2.0 docs/README docs/TODO docs/ULOTKA \
	docs/*.man.pl \
	ChangeLog* \
; do
	iconv -f iso8859-2 -t utf8 -o $file.utf $file && mv $file.utf $file
done

%build
autoreconf -f -i -I m4
%configure \
	--enable-aspell \
	--enable-shared \
	--enable-ioctld \
	--enable-openssl \
	--disable-ui-gtk \
	--disable-static \
	--without-bind \
	--with-libgsm \
	--with-pthread \
	--with-python \
	--without-termcap \

%{__make} %{?_smp_mflags}

%install
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -pm644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

# For libgadu-devel

rm -f examples/Makefile examples/Makefile.in examples/.cvsignore
rm -rf examples/CVS

mv $RPM_BUILD_ROOT%{_bindir}/ekg $RPM_BUILD_ROOT%{_bindir}/ekg.wrapped
install -pm755 %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/ekg

%files
%doc src/COPYING
%doc docs/{dcc,files,gdb,python,sim,themes,ui-ncurses,vars,voip}.txt
%doc docs/slownik.txt
%doc ChangeLog docs/{FAQ,README,TODO,ULOTKA} docs/emoticons.{ansi,sample}
%attr(755,root,root) %{_bindir}/e*
%attr(755,root,root) %{_libexecdir}/ekg
%attr(644,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/*.conf
%{_datadir}/ekg
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%changelog
* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_0.17.rc1
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_0.16.rc1
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_0.15.rc1
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_0.14.rc1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_0.13.rc1
- update to new release by fcimport

* Mon Jan 28 2013 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_0.12.rc1
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_0.11.rc1
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_0.10.rc1
- fc import

